Last Comment Bug 647280 - Fix Clang Warnings
: Fix Clang Warnings
Status: RESOLVED FIXED
fixed-in-tracemonkey
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: David Anderson [:dvander]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-01 11:54 PDT by David Anderson [:dvander]
Modified: 2011-04-26 15:28 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (17.13 KB, patch)
2011-04-01 11:54 PDT, David Anderson [:dvander]
luke: review+
Details | Diff | Splinter Review

Description David Anderson [:dvander] 2011-04-01 11:54:06 PDT
Created attachment 523648 [details] [diff] [review]
patch

Removes poor implicit casts, unused functions, and some meaningless uses of "volatile".
Comment 1 Luke Wagner [:luke] 2011-04-01 15:24:52 PDT
Comment on attachment 523648 [details] [diff] [review]
patch

Hah, good one clang.
Comment 2 David Anderson [:dvander] 2011-04-14 13:47:10 PDT
http://hg.mozilla.org/tracemonkey/rev/4250c3243b93
Comment 3 Chris Leary [:cdleary] (not checking bugmail) 2011-04-26 15:28:00 PDT
http://hg.mozilla.org/mozilla-central/rev/4250c3243b93

Note You need to log in before you can comment on or make changes to this bug.